// ***********************************************************
// This example support/index.js is processed and
// loaded automatically before your test files.
//
// This is a great place to put global configuration and
// behavior that modifies Cypress.
//
// You can change the location of this file or turn off
// automatically serving support files with the
// 'supportFile' configuration option.
//
// You can read more here:
// https://on.cypress.io/configuration
// ***********************************************************

/* globals Cypress */

// Import commands.js using ES2015 syntax:
import './commands';

//require('cypress-terminal-report').installSupport();

// Alternatively you can use CommonJS syntax:
// require('./commands')
Cypress.on('uncaught:exception', (err, runnable) => {
    // returning false here prevents Cypress from
    // failing the test
    console.log('Cypress detected uncaught exception', err);
    return false;
});

Cypress.on('fail', (error) => {
    console.log(error);
    if ( typeof Cypress.runner.abort == 'function' ) {
        Cypress.runner.abort();
    }
});
